aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-25 20:52:04 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-25 20:52:04 +0000
commita59d7525d94a461d57fb84139af41e417def2268 (patch)
tree546ca2cb74806593d03350026ead32c9fe3087da
parentedc8480149c3d5bb4c4d7b509c9ac940d6ac5d47 (diff)
downloadpaludis-a59d7525d94a461d57fb84139af41e417def2268.tar.gz
paludis-a59d7525d94a461d57fb84139af41e417def2268.tar.xz
Make emake look like econf
-rw-r--r--ebuild/build_functions.bash4
1 files changed, 3 insertions, 1 deletions
diff --git a/ebuild/build_functions.bash b/ebuild/build_functions.bash
index a32d7e4..77d87bb 100644
--- a/ebuild/build_functions.bash
+++ b/ebuild/build_functions.bash
@@ -62,7 +62,9 @@ econf()
emake()
{
- ${MAKE:-make} ${MAKEOPTS} ${EXTRA_EMAKE} "$@"
+ cmd="${MAKE:-make} ${MAKEOPTS} ${EXTRA_EMAKE} $@"
+ echo "${cmd}"
+ ${cmd} || die "emake failed"
}
einstall()